#pragma once
#include "global.h"
class CSetSnapshot : public CDialog
{
	DECLARE_DYNAMIC(CSetSnapshot)
	DECLARE_MESSAGE_MAP()
public:
	CSetSnapshot(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CSetSnapshot();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAPEDITOR_SETSNAPSHOT };
#endif
	CString inFilename;
	CString outAseApp;
	CString outSaveAs;
	CString outPath;
	CString outFilename;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	//控件
	CEdit edit_aseApp;
	CEdit edit_saveAs;
	CEdit edit_path;
	CEdit edit_filename;
	CButton button_aseApp;
	CButton button_saveAs;
	CButton button_path;
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonBrowseAseapp();
	afx_msg void OnBnClickedButtonBrowseSaveas();
	afx_msg void OnBnClickedButtonBrowsePath();
};

